# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cclib
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname cclib

Name:		python-module-cclib
Version:	1.2
Release:	alt1_1
Summary:	A library for processing results of computational chemistry packages
Group:		Development/Python
License:	LGPLv2+
URL:		https://github.com/cclib/cclib
Source0:	https://github.com/%{oname}/%{oname}/archive/v%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-devel
# For test phase
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing
Source44: import.info
# cclib2biopython brifge; optional
%filter_from_requires /^python2...Bio./d
# Needed for operation
# Extra stuff

%description
cclib is an open source library, written in Python, for parsing and
interpreting the results of computational chemistry packages. The current
version, cclib 0.9, parses output files from ADF, GAMESS (US), GAMESS-UK,
Gaussian, Jaguar, Molpro, ORCA and PC GAMESS.

%prep
%setup -q -c -n %{oname}-%{version} -T
tar zxf %{SOURCE0}
chmod u=rwX -R %{oname}-%{version}
mv %{oname}-%{version}/* .
# Fix permissions
find . -type f -exec chmod 644 {} \;
# Fix line endings
for file in PKG-INFO test/*.py; do
    sed -e 's|\r||g' $file > $file.new &&
    touch -r $file $file.new &&
    mv $file.new $file
done
# Fix encodings
for f in THANKS CHANGELOG; do
    iconv -f ISO-8859-1 -t utf8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

# Add file encodings for compilation under python-2.7
# https://github.com/cclib/cclib/pull/117
sed -i '1 i\# -*- coding: utf-8 -*-' src/cclib/parser/data.py
sed -i '1 i\# -*- coding: utf-8 -*-' src/cclib/parser/orcaparser.py

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

 
%check
cd test
PYTHONPATH=../build/lib python testall.py


%files
%doc ANNOUNCE CHANGELOG LICENSE README THANKS
%{python_sitelibdir_noarch}/%{oname}/
%{python_sitelibdir_noarch}/%{oname}-*.egg-info
%{_bindir}/ccget
%{_bindir}/cda

%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_3
- initial fc import

